<%@ page contentType="text/html; charset=UTF-8" language="java" %>
    <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
        <!DOCTYPE html>
        <html lang="en">

        <head>
            <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
            <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <title>电脑产品列表</title>
        </head>

        <body>
            <h1>电脑产品列表</h1>
            <table border="1">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>名称</th>
                        <th>价格</th>
                        <th>库存</th>
                        <th>操作</th>
                    </tr>
                </thead>
                <tbody>
                    <c:forEach var="computer" items="${computers}">
                        <tr>
                            <td>${computer.id}</td>
                            <td>${computer.name}</td>
                            <td>${computer.price}</td>
                            <td>${computer.stock}</td>
                            <td>
                                <c:if test="${sessionScope.user.role == 'admin'}">
                                    <a href="/editComputer?id=${computer.id}">编辑</a> |
                                    <a href="/deleteComputer?id=${computer.id}">删除</a>
                                </c:if>


                                <c:if test="${sessionScope.user.role == 'user'}">
                                    <a href="/cart?action=add&id=${computer.id}">加购</a>
                                </c:if>
                            </td>
                        </tr>
                    </c:forEach>
                </tbody>
            </table>
            <hr>
            <p style="color: red;">${requestScope.msg}</p>

            <br />
            <c:if test="${sessionScope.user.role == 'user'}">
                <a href="/cart?action=list">我的购物车</a>
            </c:if>
            <c:if test="${sessionScope.user.role == 'admin'}">
                <a href="/addComputer">发布电脑产品</a>
            </c:if>
            <br>
            <a href="/">主页</a>
        </body>

        </html>